## openconnect 2.01

=== Makefile ===
#
# in order to use a private copy of openssl instead of the installed one,
# set OPENSSL to the path to the source directory that you built openssl in
#
# OPENSSL := ../openssl-0.9.8i

ifdef RPM_OPT_FLAGS
OPT_FLAGS := $(RPM_OPT_FLAGS)
else
OPT_FLAGS := -O2 -g -Wall
endif

# Allow people to override OpenSSL and build it statically, if they need
# a special build for the DTLS support. $(OPENSSL) points to the build 
# dir; there's no need to install it anywhere (we link it statically).
ifdef OPENSSL
SSL_CFLAGS += -I$(OPENSSL)/include
SSL_LDFLAGS += -lz $(OPENSSL)/libssl.a $(OPENSSL)/libcrypto.a -ldl
else
ifeq ($(wildcard /usr/include/openssl),)
$(error "No OpenSSL in /usr/include/openssl. Cannot continue");
endif
SSL_CFLAGS += -I/usr/include/openssl
SSL_LDFLAGS += -lcrypto -lssl
endif

XML2_CFLAGS += $(shell xml2-config --cflags) 
XML2_LDFLAGS += $(shell xml2-config --libs)
ifeq ($(XML2_LDFLAGS),)
$(error "No libxml2 support. Cannot continue");
endif

GTK_CFLAGS += $(shell pkg-config --cflags gtk+-x11-2.0 gthread-2.0 2>/dev/null)
GTK_LDFLAGS += $(shell pkg-config --libs gtk+-x11-2.0 gthread-2.0 2>/dev/null)
ifeq ($(GTK_LDFLAGS),)
MISSINGPKGS += gtk+-x11-2.0
endif

GCONF_CFLAGS += $(shell pkg-config --cflags gconf-2.0 2>/dev/null)
GCONF_LDFLAGS += $(shell pkg-config --libs gconf-2.0 2>/dev/null)
ifeq ($(GCONF_LDFLAGS),)
MISSINGPKGS += gconf-2.0
endif

CFLAGS := $(OPT_FLAGS) $(SSL_CFLAGS) $(XML2_CFLAGS) $(EXTRA_CFLAGS)
LDFLAGS := $(SSL_LDFLAGS) $(XML2_LDFLAGS) $(EXTRA_LDFLAGS)

ifdef SSL_UI
CFLAGS += -DSSL_UI
endif

CFLAGS_nm-auth-dialog.o += $(GTK_CFLAGS) $(GCONF_CFLAGS) $(XML2_CFLAGS)

OPENCONNECT_OBJS := main.o $(SSL_UI) xml.o
CONNECTION_OBJS := dtls.o cstp.o mainloop.o tun.o 
AUTH_OBJECTS := ssl.o http.o version.o securid.o auth.o

VERSION_OBJS := $(filter-out version.o, \
		$(OPENCONNECT_OBJS) $(CONNECTION_OBJS) $(AUTH_OBJECTS))

all: openconnect maybe-auth-dialog

version.c: $(patsubst %.o,%.c,$(VERSION_OBJS)) Makefile openconnect.h \
		$(wildcard .git/index .git/refs/tags) version.sh
	@./version.sh

openconnect: $(OPENCONNECT_OBJS) $(CONNECTION_OBJS) $(AUTH_OBJECTS)
	$(CC) -o $@ $^ $(LDFLAGS)

ifeq ($(MISSINGPKGS),)
maybe-auth-dialog: nm-openconnect-auth-dialog
else
maybe-auth-dialog: $(warning Cannot build NetworkManager auth-dialog:) \
		   $(warning Missing pkg-config packages: $(MISSINGPKGS))
endif

nm-openconnect-auth-dialog: nm-auth-dialog.o $(AUTH_OBJECTS)
	$(CC) -o $@ $^ $(LDFLAGS) $(GTK_LDFLAGS) $(GCONF_LDFLAGS) $(XML2_LDFLAGS)

%.o: %.c
	$(CC) -c -o $@ $(CFLAGS) $(CFLAGS_$@) $< -MD -MF .$@.dep

clean:
	rm -f *.o *.a openconnect $(wildcard .*.o.dep)

install: all
	mkdir -p $(DESTDIR)/usr/bin $(DESTDIR)/usr/libexec
	install -m0755 openconnect $(DESTDIR)/usr/bin
ifeq ($(MISSINGPKGS),)
	install -m0755 nm-openconnect-auth-dialog $(DESTDIR)/usr/libexec
endif

include /dev/null $(wildcard .*.o.dep)

ifdef VERSION
tag:
	@git update-index --refresh --unmerged
	@if git diff-index --name-only HEAD | grep ^ ; then \
		echo Uncommitted changes in above files; exit 1; fi
	@sed 's/^v=.*/v="v$(VERSION)"/' -i version.sh
	@( echo "s/Last modified: .*/Last modified: $(shell date)/" ;\
	   echo '/  <LI><B>OpenConnect HEAD/a\' ;\
	   echo '     <UL>\' ;\
	   echo '       <LI><I>No changelog entries yet</I></LI>\';\
	   echo '     </UL><BR>\' ;  echo '  </LI>\' ;\
	   echo '  <LI><B><A HREF="ftp://ftp.infradead.org/pub/openconnect/openconnect-$(VERSION).tar.gz">OpenConnect v$(VERSION)</a></B> &mdash; $(shell date +%Y-%m-%d)<BR>' ) | \
		sed -f - -i openconnect.html
# stupid syntax highlighting '
	@git commit -s -m "Tag version $(VERSION)" version.sh openconnect.html
	@git tag v$(VERSION)

tarball: version.c
	@if ! grep -q '"v$(VERSION)"' version.c; then \
		echo "Tree not at v$(VERSION)"; exit 1 ; fi
	@git update-index --refresh --unmerged
	@if git diff-index --name-only HEAD | grep ^ ; then \
		echo Uncommitted changes in above files; exit 1; fi
	git add -f version.c
	git write-tree 
	git commit -m "add version.c for v$(VERSION)" version.c
	git archive --format=tar --prefix=openconnect-$(VERSION)/ `git write-tree` | gzip -9 > openconnect-$(VERSION).tar.gz
	git reset v$(VERSION)
	git gc --prune
endif

## openconnect 2.12

=== Makefile ===
--- 
+++ 
@@ -51,12 +51,22 @@
 
 CFLAGS_nm-auth-dialog.o += $(GTK_CFLAGS) $(GCONF_CFLAGS) $(XML2_CFLAGS)
 
+SYSTEM_INCLUDES=/usr/include
+IF_TUN_HDR := $(firstword $(wildcard $(SYSTEM_INCLUDES)/linux/if_tun.h \
+				     $(SYSTEM_INCLUDES)/net/if_tun.h \
+				     $(SYSTEM_INCLUDES)/net/tun/if_tun.h))
+ifneq ($(IF_TUN_HDR),)
+CFLAGS_tun.o += -DIF_TUN_HDR=\"$(patsubst $(SYSTEM_INCLUDES)/%,%,$(IF_TUN_HDR))\"
+endif
+
 OPENCONNECT_OBJS := main.o $(SSL_UI) xml.o
 CONNECTION_OBJS := dtls.o cstp.o mainloop.o tun.o 
 AUTH_OBJECTS := ssl.o http.o version.o securid.o auth.o
 
 VERSION_OBJS := $(filter-out version.o, \
 		$(OPENCONNECT_OBJS) $(CONNECTION_OBJS) $(AUTH_OBJECTS))
+
+.PHONY: all maybe-auth-dialog clean realclean install tag tarball
 
 all: openconnect maybe-auth-dialog
 
@@ -82,6 +92,12 @@
 
 clean:
 	rm -f *.o *.a openconnect $(wildcard .*.o.dep)
+ifeq ($(MISSINGPKGS),)
+	rm -f nm-openconnect-auth-dialog
+endif
+
+realclean: clean
+	rm -f *~
 
 install: all
 	mkdir -p $(DESTDIR)/usr/bin $(DESTDIR)/usr/libexec

## openconnect 2.22

=== Makefile ===
--- 
+++ 
@@ -51,12 +51,15 @@
 
 CFLAGS_nm-auth-dialog.o += $(GTK_CFLAGS) $(GCONF_CFLAGS) $(XML2_CFLAGS)
 
-SYSTEM_INCLUDES=/usr/include
-IF_TUN_HDR := $(firstword $(wildcard $(SYSTEM_INCLUDES)/linux/if_tun.h \
-				     $(SYSTEM_INCLUDES)/net/if_tun.h \
-				     $(SYSTEM_INCLUDES)/net/tun/if_tun.h))
+-include Make.config
+
 ifneq ($(IF_TUN_HDR),)
-CFLAGS_tun.o += -DIF_TUN_HDR=\"$(patsubst $(SYSTEM_INCLUDES)/%,%,$(IF_TUN_HDR))\"
+CFLAGS_tun.o += -DIF_TUN_HDR=\"$(IF_TUN_HDR)\"
+endif
+
+ifneq ($(LIBPROXY_HDR),)
+CFLAGS += -DOPENCONNECT_LIBPROXY
+LDFLAGS += -lproxy
 endif
 
 OPENCONNECT_OBJS := main.o $(SSL_UI) xml.o
@@ -91,7 +94,7 @@
 	$(CC) -c -o $@ $(CFLAGS) $(CFLAGS_$@) $< -MD -MF .$@.dep
 
 clean:
-	rm -f *.o *.a openconnect $(wildcard .*.o.dep)
+	rm -f *.o *.a openconnect $(wildcard .*.o.dep .*.h.dep) Make.config
 ifeq ($(MISSINGPKGS),)
 	rm -f nm-openconnect-auth-dialog
 endif
@@ -107,6 +110,16 @@
 endif
 
 include /dev/null $(wildcard .*.o.dep)
+
+HDRTEST = for a in $2 ; do if echo "\#include <$$a>" | $(CC) -o/dev/null -xc - -M -MF $1 -MP -MT Make.config 2>/dev/null; then \
+		echo $$a; break ; fi; done
+
+Make.config: LIBPROXY_H = $(shell $(call HDRTEST,.libproxy.h.dep,libproxy/proxy.h))
+Make.config: IF_TUN_H = $(shell $(call HDRTEST,.if_tun.h.dep, linux/if_tun.h net/if_tun.h net/tun/if_tun.h))
+Make.config: Makefile
+	( echo "IF_TUN_HDR := $(IF_TUN_H)"; echo "LIBPROXY_HDR := $(LIBPROXY_H)" ) > $@
+
+-include Make.config
 
 ifdef VERSION
 tag:

## openconnect 2.25

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # dir; there's no need to install it anywhere (we link it statically).
 ifdef OPENSSL
 SSL_CFLAGS += -I$(OPENSSL)/include
-SSL_LDFLAGS += -lz $(OPENSSL)/libssl.a $(OPENSSL)/libcrypto.a -ldl
+SSL_LDFLAGS += $(OPENSSL)/libssl.a $(OPENSSL)/libcrypto.a
 else
 ifeq ($(wildcard /usr/include/openssl),)
 $(error "No OpenSSL in /usr/include/openssl. Cannot continue");
@@ -43,7 +43,7 @@
 endif
 
 CFLAGS := $(OPT_FLAGS) $(SSL_CFLAGS) $(XML2_CFLAGS) $(EXTRA_CFLAGS)
-LDFLAGS := $(SSL_LDFLAGS) $(XML2_LDFLAGS) $(EXTRA_LDFLAGS)
+LDFLAGS := -lz $(SSL_LDFLAGS) $(XML2_LDFLAGS) $(EXTRA_LDFLAGS)
 
 ifdef SSL_UI
 CFLAGS += -DSSL_UI
@@ -58,7 +58,7 @@
 endif
 
 ifneq ($(LIBPROXY_HDR),)
-CFLAGS += -DOPENCONNECT_LIBPROXY
+CFLAGS += -DOPENCONNECT_LIBPROXY -DLIBPROXY_HDR=\"$(LIBPROXY_HDR)\"
 LDFLAGS += -lproxy
 endif
 
@@ -73,11 +73,14 @@
 
 all: openconnect maybe-auth-dialog
 
+libopenconnect.a: ${AUTH_OBJECTS}
+	$(AR) rcs $@ $^
+
 version.c: $(patsubst %.o,%.c,$(VERSION_OBJS)) Makefile openconnect.h \
 		$(wildcard .git/index .git/refs/tags) version.sh
 	@./version.sh
 
-openconnect: $(OPENCONNECT_OBJS) $(CONNECTION_OBJS) $(AUTH_OBJECTS)
+openconnect: $(OPENCONNECT_OBJS) $(CONNECTION_OBJS) libopenconnect.a
 	$(CC) -o $@ $^ $(LDFLAGS)
 
 ifeq ($(MISSINGPKGS),)
@@ -87,7 +90,7 @@
 		   $(warning Missing pkg-config packages: $(MISSINGPKGS))
 endif
 
-nm-openconnect-auth-dialog: nm-auth-dialog.o $(AUTH_OBJECTS)
+nm-openconnect-auth-dialog: nm-auth-dialog.o libopenconnect.a
 	$(CC) -o $@ $^ $(LDFLAGS) $(GTK_LDFLAGS) $(GCONF_LDFLAGS) $(XML2_LDFLAGS)
 
 %.o: %.c
@@ -114,7 +117,7 @@
 HDRTEST = for a in $2 ; do if echo "\#include <$$a>" | $(CC) -o/dev/null -xc - -M -MF $1 -MP -MT Make.config 2>/dev/null; then \
 		echo $$a; break ; fi; done
 
-Make.config: LIBPROXY_H = $(shell $(call HDRTEST,.libproxy.h.dep,libproxy/proxy.h))
+Make.config: LIBPROXY_H = $(shell $(call HDRTEST,.libproxy.h.dep,proxy.h libproxy/proxy.h))
 Make.config: IF_TUN_H = $(shell $(call HDRTEST,.if_tun.h.dep, linux/if_tun.h net/if_tun.h net/tun/if_tun.h))
 Make.config: Makefile
 	( echo "IF_TUN_HDR := $(IF_TUN_H)"; echo "LIBPROXY_HDR := $(LIBPROXY_H)" ) > $@

## openconnect 2.26-1maemo

=== Makefile ===
--- 
+++ 
@@ -30,26 +30,12 @@
 $(error "No libxml2 support. Cannot continue");
 endif
 
-GTK_CFLAGS += $(shell pkg-config --cflags gtk+-x11-2.0 gthread-2.0 2>/dev/null)
-GTK_LDFLAGS += $(shell pkg-config --libs gtk+-x11-2.0 gthread-2.0 2>/dev/null)
-ifeq ($(GTK_LDFLAGS),)
-MISSINGPKGS += gtk+-x11-2.0
-endif
-
-GCONF_CFLAGS += $(shell pkg-config --cflags gconf-2.0 2>/dev/null)
-GCONF_LDFLAGS += $(shell pkg-config --libs gconf-2.0 2>/dev/null)
-ifeq ($(GCONF_LDFLAGS),)
-MISSINGPKGS += gconf-2.0
-endif
-
 CFLAGS := $(OPT_FLAGS) $(SSL_CFLAGS) $(XML2_CFLAGS) $(EXTRA_CFLAGS)
 LDFLAGS := -lz $(SSL_LDFLAGS) $(XML2_LDFLAGS) $(EXTRA_LDFLAGS)
 
 ifdef SSL_UI
 CFLAGS += -DSSL_UI
 endif
-
-CFLAGS_nm-auth-dialog.o += $(GTK_CFLAGS) $(GCONF_CFLAGS) $(XML2_CFLAGS)
 
 -include Make.config
 
@@ -69,9 +55,9 @@
 VERSION_OBJS := $(filter-out version.o, \
 		$(OPENCONNECT_OBJS) $(CONNECTION_OBJS) $(AUTH_OBJECTS))
 
-.PHONY: all maybe-auth-dialog clean realclean install tag tarball
+.PHONY: all clean realclean install tag tarball
 
-all: openconnect maybe-auth-dialog
+all: openconnect
 
 libopenconnect.a: ${AUTH_OBJECTS}
 	$(AR) rcs $@ $^
@@ -83,34 +69,17 @@
 openconnect: $(OPENCONNECT_OBJS) $(CONNECTION_OBJS) libopenconnect.a
 	$(CC) -o $@ $^ $(LDFLAGS)
 
-ifeq ($(MISSINGPKGS),)
-maybe-auth-dialog: nm-openconnect-auth-dialog
-else
-maybe-auth-dialog: $(warning Cannot build NetworkManager auth-dialog:) \
-		   $(warning Missing pkg-config packages: $(MISSINGPKGS))
-endif
-
-nm-openconnect-auth-dialog: nm-auth-dialog.o libopenconnect.a
-	$(CC) -o $@ $^ $(LDFLAGS) $(GTK_LDFLAGS) $(GCONF_LDFLAGS) $(XML2_LDFLAGS)
-
 %.o: %.c
 	$(CC) -c -o $@ $(CFLAGS) $(CFLAGS_$@) $< -MD -MF .$@.dep
 
 clean:
 	rm -f *.o *.a openconnect $(wildcard .*.o.dep .*.h.dep) Make.config
-ifeq ($(MISSINGPKGS),)
-	rm -f nm-openconnect-auth-dialog
-endif
 
 realclean: clean
 	rm -f *~
 
 install: all
-	mkdir -p $(DESTDIR)/usr/bin $(DESTDIR)/usr/libexec
 	install -m0755 openconnect $(DESTDIR)/usr/bin
-ifeq ($(MISSINGPKGS),)
-	install -m0755 nm-openconnect-auth-dialog $(DESTDIR)/usr/libexec
-endif
 
 include /dev/null $(wildcard .*.o.dep)

=== debian/changelog ===
openconnect (2.26-1maemo) unstable; urgency=low

  * ported latest stable openconnect 2.26 release, included patches from 
    openconnect-2.12 package from Pascal Jermini <lorelei@garage.maemo.org> :
    - Don't loop on wrong username/password
    - Added a fflush() after printing out progress information: helps
      with the piping to openconnect-gui
    - Added --passwd option in order to pass password directly on the command
      line

 -- Geert Steyaert <geert.steyaert@gmail.com>  Fri, 28 Jan 2011 16:02:00 +0100

=== debian/control ===
Source: openconnect
Section: user/network
Priority: optional
Maintainer: Geert Steyaert <geert.steyaert@gmail.com> & Pascal Jermini <lorelei@garage.maemo.org>
Build-Depends: debhelper (>= 5), libssl-dev (>=0.9.8e), libxml2-dev (>=2.6.27)
Standards-Version: 3.7.2

Package: openconnect
Xsbc-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=OpenConnect
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libssl0.9.8 (>= 0.9.8e), libxml2 (>= 2.6.27)
Description: VPN Client for Cisco VPN Concentrators
 OpenConnect is an open client for the Cisco AnyConnect SSL VPN solution
 (Official web page: http://www.infradead.org/openconnect.html)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/openconnect.sgml > openconnect.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/openconnect.
	$(MAKE) DESTDIR=$(CURDIR)/debian/openconnect install

	# Install additional vpnc-script:
	mkdir -p $(CURDIR)/debian/openconnect/usr/share/openconnect
	install -m 755 $(CURDIR)/debian/vpnc-script $(CURDIR)/debian/openconnect/usr/share/openconnect/vpnc-script
	
	# Install sudoers file:
	mkdir -p $(CURDIR)/debian/openconnect/etc/sudoers.d
	install -m 644 $(CURDIR)/debian/openconnect.sudoers $(CURDIR)/debian/openconnect/etc/sudoers.d/openconnect.sudoers


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## openconnect 3.02

=== Makefile ===
--- 
+++ 
@@ -17,11 +17,11 @@
 SSL_CFLAGS += -I$(OPENSSL)/include
 SSL_LDFLAGS += $(OPENSSL)/libssl.a $(OPENSSL)/libcrypto.a
 else
-ifeq ($(wildcard /usr/include/openssl),)
-$(error "No OpenSSL in /usr/include/openssl. Cannot continue");
+SSL_CFLAGS += $(shell pkg-config --cflags libssl)
+SSL_LDFLAGS += $(shell pkg-config --libs libssl)
+ifeq ($(SSL_LDFLAGS),)
+$(error "No OpenSSL support. Cannot continue");
 endif
-SSL_CFLAGS += -I/usr/include/openssl
-SSL_LDFLAGS += -lcrypto -lssl
 endif
 
 XML2_CFLAGS += $(shell xml2-config --cflags) 
@@ -48,14 +48,14 @@
 LDFLAGS += -lproxy
 endif
 
-OPENCONNECT_OBJS := main.o $(SSL_UI) xml.o
+OPENCONNECT_OBJS := xml.o main.o $(SSL_UI)
 CONNECTION_OBJS := dtls.o cstp.o mainloop.o tun.o 
-AUTH_OBJECTS := ssl.o http.o version.o securid.o auth.o
+AUTH_OBJECTS := ssl.o http.o version.o auth.o library.o
 
 VERSION_OBJS := $(filter-out version.o, \
 		$(OPENCONNECT_OBJS) $(CONNECTION_OBJS) $(AUTH_OBJECTS))
 
-.PHONY: all clean realclean install tag tarball
+.PHONY: all clean realclean install tag tarball openconnect.pc
 
 all: openconnect
 
@@ -63,7 +63,8 @@
 	$(AR) rcs $@ $^
 
 version.c: $(patsubst %.o,%.c,$(VERSION_OBJS)) Makefile openconnect.h \
-		$(wildcard .git/index .git/refs/tags) version.sh
+	   openconnect-internal.h $(wildcard .git/index .git/refs/tags) \
+	   version.sh
 	@./version.sh
 
 openconnect: $(OPENCONNECT_OBJS) $(CONNECTION_OBJS) libopenconnect.a
@@ -73,13 +74,15 @@
 	$(CC) -c -o $@ $(CFLAGS) $(CFLAGS_$@) $< -MD -MF .$@.dep
 
 clean:
-	rm -f *.o *.a openconnect $(wildcard .*.o.dep .*.h.dep) Make.config
+	rm -f *.o *.a openconnect $(wildcard .*.o.dep .*.h.dep) Make.config openconnect.pc
 
 realclean: clean
 	rm -f *~
 
 install: all
-	install -m0755 openconnect $(DESTDIR)/usr/bin
+	mkdir -p $(DESTDIR)/usr/bin $(DESTDIR)/usr/share/man/man8
+	install -m 0755 openconnect $(DESTDIR)/usr/bin
+	install -m 0644 openconnect.8 $(DESTDIR)/usr/share/man/man8
 
 include /dev/null $(wildcard .*.o.dep)
 
@@ -92,6 +95,24 @@
 	( echo "IF_TUN_HDR := $(IF_TUN_H)"; echo "LIBPROXY_HDR := $(LIBPROXY_H)" ) > $@
 
 -include Make.config
+
+INCDIR := /usr/include
+LIBDIR := /usr/lib
+PKGCONFIGDIR := ${LIBDIR}/pkgconfig
+ifeq ($(LIBPROXY_HDR),)
+LIBPROXYPC :=
+else
+LIBPROXYPC := libproxy-1.0
+endif
+
+openconnect.pc: VERSION = $(shell sed 's/.*v\(.*\)";/\1/' version.c)
+openconnect.pc: openconnect.pc.in version.c
+	sed -e 's^VERSION^$(VERSION)^' -e 's^LIBDIR^$(LIBDIR)^' -e 's^LIBPROXY^$(LIBPROXYPC)^' $< > $@
+
+install-lib: libopenconnect.a openconnect.pc
+	install -D -m 0644 libopenconnect.a $(DESTDIR)$(LIBDIR)/libopenconnect.a
+	install -D -m 0644 openconnect.pc $(DESTDIR)$(PKGCONFIGDIR)/openconnect.pc
+	install -D -m 0644 openconnect.h $(DESTDIR)$(INCDIR)/openconnect.h
 
 ifdef VERSION
 tag:

=== debian/changelog ===
openconnect (3.02-1) experimental; urgency=low

  * New upstream release
  * Add patch from upstream to fix linking on Debian

 -- Ross Burton <ross@debian.org>  Wed, 11 May 2011 11:55:34 +0100

openconnect (2.25-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #566188)
    - always verify SSL server certificates (Closes: #590873)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 28 Aug 2010 11:21:16 +0100

openconnect (2.22-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix kFreeBSD detection (Closes: #577004) using patch from Petr Salinger 

 -- Christoph Egger <christoph@debian.org>  Sat, 17 Jul 2010 16:06:33 -0400

openconnect (2.22-1) unstable; urgency=low

  * New upstream release

 -- Rob Bradford <robster@debian.org>  Thu, 25 Mar 2010 16:11:35 +0000

openconnect (2.01-1) unstable; urgency=low

  * New upstream release.

 -- Ross Burton <ross@debian.org>  Wed, 24 Jun 2009 19:17:44 +0100

openconnect (2.00-1) unstable; urgency=low

  * New upstream release.
  * Add fixes from upstream up to rev d45d92

 -- Ross Burton <ross@debian.org>  Tue, 16 Jun 2009 15:32:46 +0100

openconnect (1.40-1) unstable; urgency=low

  * New upstream release.

 -- Ross Burton <ross@debian.org>  Wed, 27 May 2009 15:50:36 +0100

openconnect (1.00-1) unstable; urgency=low

  * New upstream release
    - Remove leak.patch
  * Reword the description

 -- Ross Burton <ross@debian.org>  Wed, 18 Mar 2009 10:45:13 +0000

openconnect (0.99-2) unstable; urgency=low

  * Add patch from upstream to fix chronic memory leak.

 -- Ross Burton <ross@debian.org>  Fri, 06 Feb 2009 15:50:54 +0000

openconnect (0.99-1) unstable; urgency=low

  * New upstream release.
  * Update copyright information
  * Add watch file
  * Add Homepage field

 -- Ross Burton <ross@debian.org>  Thu, 15 Jan 2009 13:26:25 +0000

openconnect (0.98-3) unstable; urgency=low

  * Bump Standards
  * Add misc:Depends
  * Remove vpnc wrapper and depends

 -- Ross Burton <ross@debian.org>  Wed, 14 Jan 2009 12:21:50 +0000

openconnect (0.98-2) unstable; urgency=low

  * Disable the GTK+ UI, so that Network Manager support works.

 -- Ross Burton <ross@debian.org>  Wed, 14 Jan 2009 11:22:20 +0000

openconnect (0.98-1) unstable; urgency=low

  * New upstream release.
  * Add more netmasks (thanks Shane Bryan)

 -- Ross Burton <ross@debian.org>  Sat, 15 Nov 2008 11:55:18 +0000

openconnect (0.96-1) unstable; urgency=low

  * New upstream release.
  * Enable the GTK+ passcode dialog

 -- Ross Burton <ross@debian.org>  Tue, 28 Oct 2008 09:29:21 +0000

openconnect (0.95.1-2) unstable; urgency=low

  * Install the NM helper into the correct location.

 -- Ross Burton <ross@debian.org>  Fri, 24 Oct 2008 16:15:20 +0100

openconnect (0.95.1-1) unstable; urgency=low

  * Initial packaging.

 -- Ross Burton <ross@debian.org>  Thu, 23 Oct 2008 12:01:37 +0100

=== debian/control ===
Source: openconnect
Section: net
Priority: optional
Maintainer: Ross Burton <ross@debian.org>
Build-Depends: debhelper (>> 7.0.50), pkg-config, libssl-dev (>= 0.9.8g-14), libxml2-dev
Standards-Version: 3.9.2
Homepage: http://git.infradead.org/users/dwmw2/openconnect.git

Package: openconnect
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Open client for Cisco AnyConnect VPN
 OpenConnect is an open client for the Cisco AnyConnect VPN.

Package: libopenconnect-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Description: Open client for Cisco AnyConnect VPN - library files
 OpenConnect is an open client for the Cisco AnyConnect VPN.
 .
 This package is the client as a static library for use by front-ends.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --list-missing

override_dh_auto_install:
	dh_auto_install -- install install-lib

## openconnect 3.15

=== debian/changelog ===
openconnect (3.15-0ubuntu2) precise; urgency=low

  * debian/control: add the missing Conflicts/Replaces for libopenconnect1; due
    to the move of the .a file from libopenconnect-dev to libopenconnect1.
    (LP: #940705)
  * debian/libopenconnect-dev.install, debian/libopenconnect1.install: move the
    libopenconnect.a file back to libopenconnect-dev where it really belongs,
    which was an error from the previous upload.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 09 Apr 2012 13:21:18 -0400

openconnect (3.15-0ubuntu1) precise; urgency=low

  * New upstream release. (LP: #905488)
  * debian/patches/fix-link.patch: dropped, included upstream.
  * debian/control:
    - add a libopenconnect1 package.
    - adjust Build-Depends, the build now requires libproxy and python.
  * debian/openconnect.install:
    - the openconnect binary moved from /usr/bin to /usr/sbin.
    - install everything that should be in /usr/share, not just manpages.
    - install openconnect documentation in /usr/share/doc/openconnect instead
      of /usr/share/openconnect.
  * debian/libopenconnect1.install: install the shared libraries.
  * debian/libopenconnect-dev.install: ensure we only install includes and the
    symlink to the shared library along with the pkgconfig files for the
    development package. 
  * debian/rules: add an override for dh_install to clean up .la files.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 23 Feb 2012 14:32:09 -0500

openconnect (3.02-2) unstable; urgency=low

  * Upload to unstable.

 -- Ross Burton <ross@debian.org>  Wed, 11 May 2011 11:55:34 +0100

=== debian/control ===
Source: openconnect
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ross Burton <ross@debian.org>
Build-Depends: debhelper (>> 7.0.50), pkg-config, libssl-dev (>= 0.9.8g-14), libxml2-dev, libproxy-dev, python
Standards-Version: 3.9.2
Homepage: http://git.infradead.org/users/dwmw2/openconnect.git

Package: openconnect
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Open client for Cisco AnyConnect VPN - binaries
 OpenConnect is an open client for the Cisco AnyConnect VPN.

Package: libopenconnect1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libopenconnect-dev (<< 3.15-0ubuntu2)
Replaces: libopenconnect-dev (<< 3.15-0ubuntu2)
Description: Open client for Cisco AnyConnect VPN - library files
 OpenConnect is an open client for the Cisco AnyConnect VPN.
 .
 This package contains the openconnect library for use by front-ends.

Package: libopenconnect-dev
Section: libdevel
Architecture: any
Depends: libopenconnect1 (= ${binary:Version}), ${misc:Depends}
Description: Open client for Cisco AnyConnect VPN - development files
 OpenConnect is an open client for the Cisco AnyConnect VPN.
 .
 This package is the development files needed by front-ends to interface
 with the openconnect library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --list-missing

override_dh_install:
	find . -name "*.la" -exec rm -f {} \;
	dh_install

## openconnect 3.20

=== debian/changelog ===
openconnect (3.20-4) unstable; urgency=low

  * debian/patches/03_fix-abuse-of-realloc.patch: Backport patch from upstream
    to fix possible memory leaks on realloc. (Closes: #700805)

 -- Mike Miller <mtmiller@ieee.org>  Thu, 28 Feb 2013 23:42:31 -0500

openconnect (3.20-3) unstable; urgency=low

  * debian/patches/02_CVE-2012-6128.patch: Backport patch from upstream to fix
    buffer overflow (CVE-2012-6128). (Closes: #700794)

 -- Mike Miller <mtmiller@ieee.org>  Sun, 17 Feb 2013 11:56:35 -0500

openconnect (3.20-2) unstable; urgency=low

  * Depend on vpnc-scripts for routing and DNS configuration. (Closes:
    #566193)
  * Add 01_man-vpnc-script-path.patch to fix man page to match the
    default vpnc-script path in Debian.
  * Add DM-Upload-Allowed flag.

 -- Mike Miller <mtmiller@ieee.org>  Wed, 06 Jun 2012 08:45:27 -0400

openconnect (3.20-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright for 2012.
  * Update libopenconnect1.symbols for versioned shared library ABI.

 -- Mike Miller <mtmiller@ieee.org>  Thu, 17 May 2012 22:06:31 -0400

openconnect (3.18-1) unstable; urgency=low

  * New upstream release

 -- Mike Miller <mtmiller@ieee.org>  Wed, 02 May 2012 21:02:47 -0400

openconnect (3.17-1) unstable; urgency=low

  * New upstream release
    - Simplify install path for HTML docs
    - Add required configuration path to vpnc script
  * Use dpkg-buildflags for compiler options, support hardened build
  * Add Vcs-* fields for the git repository

 -- Mike Miller <mtmiller@ieee.org>  Sat, 21 Apr 2012 08:48:41 -0400

openconnect (3.16-1) unstable; urgency=low

  * New upstream release
    - Fix FTBFS on kfreebsd and hurd (Closes: #667996)
  * Build and install HTML docs, copy the upstream changelog
  * Fix Homepage address
  * Remove debian/TODO, contents all done

 -- Mike Miller <mtmiller@ieee.org>  Mon, 09 Apr 2012 21:27:54 -0400

openconnect (3.15-2) unstable; urgency=low

  * Fix minimum version for shared library symbol

 -- Mike Miller <mtmiller@ieee.org>  Sat, 31 Mar 2012 09:38:14 -0400

openconnect (3.15-1) unstable; urgency=low

  * New maintainer
  * New upstream release (Closes: #619967, #637362)
    - Package new shared library, remove static library
    - Remove fix-link.patch, already in 3.15
  * Update description from upstream homepage (Closes: #521831)
  * Update debian/copyright to machine-readable format 1.0
  * Clean up package dependencies
    - Add deps on libssl-dev and libxml2-dev for -dev package
    - Add libproxy to build-deps and library deps
  * Bump Standards-Version to 3.9.3

 -- Mike Miller <mtmiller@ieee.org>  Wed, 28 Mar 2012 22:49:19 -0400

=== debian/control ===
Source: openconnect
Section: net
Priority: optional
Maintainer: Mike Miller <mtmiller@ieee.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>> 7.0.50), pkg-config, python, libssl-dev (>= 0.9.8g-14), libxml2-dev, libproxy-dev
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/collab-maint/openconnect.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/openconnect.git
Homepage: http://www.infradead.org/openconnect/

Package: openconnect
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vpnc-scripts
Description: Open client for Cisco AnyConnect VPN
 OpenConnect is a client for Cisco's AnyConnect SSL VPN, which is supported by
 the ASA5500 Series, by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800,
 2800, 3800, 7200 Series and Cisco 7301 Routers, and probably others.

Package: libopenconnect1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Open client for Cisco AnyConnect VPN - shared library
 OpenConnect is a client for Cisco's AnyConnect SSL VPN, which is supported by
 the ASA5500 Series, by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800,
 2800, 3800, 7200 Series and Cisco 7301 Routers, and probably others.
 .
 This package provides the shared library.

Package: libopenconnect-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libopenconnect1 (= ${binary:Version}), libssl-dev (>= 0.9.8g-14), libxml2-dev, libproxy-dev
Description: Open client for Cisco AnyConnect VPN - development files
 OpenConnect is a client for Cisco's AnyConnect SSL VPN, which is supported by
 the ASA5500 Series, by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800,
 2800, 3800, 7200 Series and Cisco 7301 Routers, and probably others.
 .
 This package provides the header and development files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --list-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-static \
		--htmldir=/usr/share/doc/openconnect/html \
		--with-vpnc-script=/usr/share/vpnc-scripts/vpnc-script
	# Do not let version.c get rebuilt from our git repo
	touch version.c

override_dh_installchangelogs:
	dh_installchangelogs www/changelog.html

override_dh_compress:
	dh_compress -Xhtml/changelog.html

=== debian/watch ===
version=3
ftp://ftp.infradead.org/pub/openconnect/openconnect-(.*)\.tar\.gz

## openconnect 4.06

=== debian/changelog ===
openconnect (4.06-1ubuntu1) quantal; urgency=low

  * Sync with Debian and reapply Ubuntu changes:
  * Build-depend on libgnutls-dev (>= 2.12.14), the newest version available
    in Ubuntu.
  * debian/patches/02-ubuntu-gnutls-backport.patch: work around known bug in
    GnuTLS 2.12.14.

 -- Mike Miller <mtmiller@ieee.org>  Sun, 12 Aug 2012 09:10:09 -0400

openconnect (4.06-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/01-Check-for-system-CA-certificate-file-for-GnuTLS.patch:
    Remove, applied upstream.

 -- Mike Miller <mtmiller@ieee.org>  Mon, 23 Jul 2012 23:30:35 -0400

openconnect (4.05-1ubuntu1) quantal; urgency=low

  * Build-depend on libgnutls-dev (>= 2.12.14), the newest version available
    in Ubuntu.
  * debian/patches/02-ubuntu-gnutls-backport.patch: work around known bug in
    GnuTLS 2.12.14.

 -- Mike Miller <mtmiller@ieee.org>  Sun, 22 Jul 2012 12:14:40 -0400

openconnect (4.05-1) experimental; urgency=low

  * New upstream release.
  * Use dh-autoreconf to regenerate the build system.
  * debian/patches/01-Check-for-system-CA-certificate-file-for-GnuTLS.patch:
    Cherry-pick from upstream to allow configuring the default CA certificate
    path.
  * Configure with the path to the ca-certificates bundle.
  * Add Recommends: ca-certificates to libopenconnect2 to use its provided
    certificates by default.
  * Build-depend on groff for building HTML docs.

 -- Mike Miller <mtmiller@ieee.org>  Sat, 21 Jul 2012 15:29:27 -0400

openconnect (4.04-1~exp1) experimental; urgency=low

  * New upstream release. (Closes: #677939)
  * Remove 01_man-vpnc-script-path.patch, applied upstream.
  * Bump libopenconnect soname (1 -> 2) and update symbols file.
  * Build against GnuTLS.
    - Build-depend on libgnutls-dev (>= 2.12.16).
    - Build-depend on libp11-kit-dev.
    - Still build-depend on libssl-dev for openconnect executable only.
  * Enable verbose build (V=1) for more useful build logs.
  * Bump debhelper compatibility to version 9.
  * Set Multi-Arch: same and update library install paths for multiarch.

 -- Mike Miller <mtmiller@ieee.org>  Tue, 10 Jul 2012 23:21:17 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,19 @@
 Source: openconnect
 Section: net
 Priority: optional
-Maintainer: Mike Miller <mtmiller@ieee.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mike Miller <mtmiller@ieee.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>> 7.0.50), pkg-config, python, libssl-dev (>= 0.9.8g-14), libxml2-dev, libproxy-dev
+Build-Depends: debhelper (>= 9),
+ dh-autoreconf,
+ groff,
+ pkg-config,
+ python,
+ libgnutls-dev (>= 2.12.14),
+ libp11-kit-dev,
+ libproxy-dev,
+ libssl-dev (>= 0.9.8g-14),
+ libxml2-dev
 Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/collab-maint/openconnect.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/openconnect.git
@@ -17,10 +27,13 @@
  the ASA5500 Series, by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800,
  2800, 3800, 7200 Series and Cisco 7301 Routers, and probably others.
 
-Package: libopenconnect1
+Package: libopenconnect2
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: ca-certificates
 Description: Open client for Cisco AnyConnect VPN - shared library
  OpenConnect is a client for Cisco's AnyConnect SSL VPN, which is supported by
  the ASA5500 Series, by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800,
@@ -31,7 +44,12 @@
 Package: libopenconnect-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libopenconnect1 (= ${binary:Version}), libssl-dev (>= 0.9.8g-14), libxml2-dev, libproxy-dev
+Multi-Arch: same
+Depends: ${misc:Depends}, libopenconnect2 (= ${binary:Version}),
+ libgnutls-dev (>= 2.12.14),
+ libp11-kit-dev,
+ libproxy-dev,
+ libxml2-dev
 Description: Open client for Cisco AnyConnect VPN - development files
  OpenConnect is a client for Cisco's AnyConnect SSL VPN, which is supported by
  the ASA5500 Series, by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800,

## openconnect 4.07

=== debian/changelog ===
openconnect (4.07-1) experimental; urgency=low

  * New upstream release.

 -- Mike Miller <mtmiller@ieee.org>  Sat, 01 Sep 2012 10:07:59 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: openconnect
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mike Miller <mtmiller@ieee.org>
+Maintainer: Mike Miller <mtmiller@ieee.org>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 9),
  dh-autoreconf,
  groff,
  pkg-config,
  python,
- libgnutls-dev (>= 2.12.14),
+ libgnutls-dev (>= 2.12.16),
  libp11-kit-dev,
  libproxy-dev,
  libssl-dev (>= 0.9.8g-14),
@@ -46,7 +45,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, libopenconnect2 (= ${binary:Version}),
- libgnutls-dev (>= 2.12.14),
+ libgnutls-dev (>= 2.12.16),
  libp11-kit-dev,
  libproxy-dev,
  libxml2-dev

=== debian/rules ===
--- 
+++ 
@@ -4,14 +4,17 @@
 export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
 export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
 export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)
+export V = 1
 
 %:
-	dh $@ --list-missing
+	dh $@ --with autoreconf --list-missing
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--disable-static \
+		--with-gnutls \
 		--htmldir=/usr/share/doc/openconnect/html \
+		--with-system-cafile=/etc/ssl/certs/ca-certificates.crt \
 		--with-vpnc-script=/usr/share/vpnc-scripts/vpnc-script
 	# Do not let version.c get rebuilt from our git repo
 	touch version.c

## openconnect 5.01

=== debian/changelog ===
openconnect (5.01-1) unstable; urgency=low

  * New upstream release.
    - Fix abuse of realloc() causing memory leaks. (Closes: #700805)
    - Fix compatibility with certain connection forms. (Closes: #708207)
    - Improve error handling when server closes connection. (Closes: #708928)
  * Update shlibs and symbols files for libopenconnect2.
  * debian/rules: Do not check for broken DTLS in OpenSSL, it has been
    patched in the Debian openssl package.
  * Add Build-Depends on liboath-dev.
  * Add missing explicit dependency on zlib1g-dev
    - Add Build-Depends on zlib1g-dev.
    - Add Depends on zlib1g-dev to libopenconnect-dev.

 -- Mike Miller <mtmiller@ieee.org>  Sun, 02 Jun 2013 11:18:58 -0400

openconnect (4.99-2) unstable; urgency=low

  * Upload to unstable.

 -- Mike Miller <mtmiller@ieee.org>  Tue, 07 May 2013 19:46:22 -0400

openconnect (4.99-1) experimental; urgency=low

  * New upstream release (5.00 beta release).
  * Update symbols file for libopenconnect2.
  * Bump Standards-Version to 3.9.4. No changes needed.
  * Remove obsolete DM-Upload-Allowed control field.
  * Canonicalize Vcs-* control fields.

 -- Mike Miller <mtmiller@ieee.org>  Fri, 15 Feb 2013 09:14:15 -0500

openconnect (2.25-0.1+squeeze2) stable-security; urgency=high

  * debian/patches/02_CVE-2012-6128.patch: Backport patch from upstream to fix
    buffer overflow (CVE-2012-6128).

 -- Mike Miller <mtmiller@ieee.org>  Wed, 13 Feb 2013 19:55:03 -0500

openconnect (2.25-0.1+squeeze1) stable-security; urgency=high

  * Apply patch from upstream to fix buffer overflow (CVE-2012-3291)

 -- Mike Miller <mtmiller@ieee.org>  Thu, 14 Jun 2012 02:56:51 -0400

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,21 @@
 Section: net
 Priority: optional
 Maintainer: Mike Miller <mtmiller@ieee.org>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 9),
  dh-autoreconf,
  groff,
  pkg-config,
  python,
  libgnutls-dev (>= 2.12.16),
+ liboath-dev,
  libp11-kit-dev,
  libproxy-dev,
  libssl-dev (>= 0.9.8g-14),
- libxml2-dev
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/collab-maint/openconnect.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/openconnect.git
+ libxml2-dev,
+ zlib1g-dev
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/collab-maint/openconnect.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/openconnect.git
 Homepage: http://www.infradead.org/openconnect/
 
 Package: openconnect
@@ -48,7 +49,8 @@
  libgnutls-dev (>= 2.12.16),
  libp11-kit-dev,
  libproxy-dev,
- libxml2-dev
+ libxml2-dev,
+ zlib1g-dev
 Description: Open client for Cisco AnyConnect VPN - development files
  OpenConnect is a client for Cisco's AnyConnect SSL VPN, which is supported by
  the ASA5500 Series, by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800,

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	dh_auto_configure -- \
 		--disable-static \
 		--with-gnutls \
+		--without-openssl-version-check \
 		--htmldir=/usr/share/doc/openconnect/html \
 		--with-system-cafile=/etc/ssl/certs/ca-certificates.crt \
 		--with-vpnc-script=/usr/share/vpnc-scripts/vpnc-script

## openconnect 5.02

=== debian/changelog ===
openconnect (5.02-1) unstable; urgency=medium

  * New upstream release.
    - Temporarily disable XML POST if an authgroup dropdown exists.
      (LP: #1229195)
  * doc-remove-footer.patch: Remove footer from HTML doc template, it
    links to images from www.w3.org.
  * debian/control: Use lowercase for package synopsis.
  * debian/copyright: Fix some omissions in the copyright listing.
  * debian/rules: No need to explicitly set CFLAGS/CPPFLAGS/LDFLAGS.
  * debian/watch: Add support for verification of PGP signature on
    upstream release.
  * Use my @debian.org address.
  * Bump Standards-Version to 3.9.5. No changes needed.

 -- Mike Miller <mtmiller@debian.org>  Sun, 12 Jan 2014 15:30:14 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: openconnect
 Section: net
 Priority: optional
-Maintainer: Mike Miller <mtmiller@ieee.org>
+Maintainer: Mike Miller <mtmiller@debian.org>
 Build-Depends: debhelper (>= 9),
  dh-autoreconf,
  groff,
@@ -14,7 +14,7 @@
  libssl-dev (>= 0.9.8g-14),
  libxml2-dev,
  zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/openconnect.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/openconnect.git
 Homepage: http://www.infradead.org/openconnect/
@@ -22,7 +22,7 @@
 Package: openconnect
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, vpnc-scripts
-Description: Open client for Cisco AnyConnect VPN
+Description: open client for Cisco AnyConnect VPN
  OpenConnect is a client for Cisco's AnyConnect SSL VPN, which is supported by
  the ASA5500 Series, by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800,
  2800, 3800, 7200 Series and Cisco 7301 Routers, and probably others.
@@ -34,7 +34,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: ca-certificates
-Description: Open client for Cisco AnyConnect VPN - shared library
+Description: open client for Cisco AnyConnect VPN - shared library
  OpenConnect is a client for Cisco's AnyConnect SSL VPN, which is supported by
  the ASA5500 Series, by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800,
  2800, 3800, 7200 Series and Cisco 7301 Routers, and probably others.
@@ -51,7 +51,7 @@
  libproxy-dev,
  libxml2-dev,
  zlib1g-dev
-Description: Open client for Cisco AnyConnect VPN - development files
+Description: open client for Cisco AnyConnect VPN - development files
  OpenConnect is a client for Cisco's AnyConnect SSL VPN, which is supported by
  the ASA5500 Series, by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800,
  2800, 3800, 7200 Series and Cisco 7301 Routers, and probably others.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
-export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
-export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)
 export V = 1
 
 %:
